Subject: Re: [PATCH] net/802/mrp: fix lockdep splat

From: "Ward, David - 0663 - MITLL" <[email-masked]>
Date: Wed, 15 May 2013 12:41:07 -0400

On 05/15/2013 12:34 PM, Ward, David - 0663 - MITLL wrote:
> On 05/15/2013 11:22 AM, Eric Dumazet wrote:
>> Re: [PATCH] net/802/mrp: fix lockdep splat
>>
>> On Wed, 2013-05-15 at 17:50 +0300, Denys Fedoryshchenko wrote:
>> > On 2013-05-14 22:40, Eric Dumazet wrote:
>> > >
>> > > I definitely could trigger the bug easily without my patch :
>> >
>> >
>> > >
>> > > And with the patch, there is no lockdep splat anymore.
>> > >
>> > > Tested-by: Eric Dumazet <[email-masked]>
>> >
>> > Yes, it seems after depclean i cannot reproduce anymore this bug. My
>> > bad, seems i should recompile kernel completely next time.
>> >
>>
>> Thanks for testing again, I was quite mystified by your original
>> results ;)
>>
>
> FYI - I believe GARP (net/802/garp.c) needs the same fix. Thechange 
> that introduced this issue was originally copied from there.
>
> David
>

My bad... I copied the patch from GARP to MRP wrong... that's what 
created this problem in the first place.  Sorry.

David